corda / net.corda.core.messaging / FlowHandle

# FlowHandle

`data class FlowHandle<A>`

FlowHandle is a serialisable handle for the started flow, parameterised by the type of the flow's return value.

### Parameters

`id` - The started state machine's ID.

`progress` - The stream of progress tracker events.

`returnValue` - A ListenableFuture of the flow's return value.

### Constructors

<init> | `FlowHandle(id: StateMachineRunId, progress: Observable<String>, returnValue: ListenableFuture<A>)` FlowHandle is a serialisable handle for the started flow, parameterised by the type of the flow's return value.

### Properties

id | `val id: StateMachineRunId`
progress | `val progress: Observable<String>`
returnValue | `val returnValue: ListenableFuture<A>`